CVE-2003-0022
CVSS5.0
发布时间 :2003-03-03 00:00:00
修订时间 :2016-10-17 22:28:26
NMCOS    

[原文]The "screen dump" feature in rxvt 2.7.8 allows attackers to overwrite arbitrary files via a certain character escape sequence when it is echoed to a user's terminal, e.g. when the user views a file containing the malicious sequence.


[CNNVD]RXVT/Eterm Screen Dump转义序列本地文件破坏漏洞(CNNVD-200303-027)

        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        rxvt,Eterm的screen dump功能实现没有正确处理转义序列,本地攻击者可以利用这个漏洞破坏本地系统文件,或建立文件。
        rxvt,Eterm的实现包含"screen dump"功能,可使用转义序列打开任意文件并写入当前终端窗口中的内容,攻击者可使用恶意转移序列符来控制生成的文件,虽然rxvt如果文件已经存在会忽略dump请求,但是Eterm会删除文件并建立相关内容的文件,通过精心构建窗口内容可以建立敏感文件如.rhosts或者SSH的授权密钥文件等。可对系统造成拒绝服务或权限提升。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:rxvt:rxvt:2.6.1
cpe:/a:rxvt:rxvt:2.6.3
cpe:/a:rxvt:rxvt:2.6.2
cpe:/a:rxvt:rxvt:2.6.4
cpe:/a:rxvt:rxvt:2.7.6
cpe:/a:rxvt:rxvt:2.7.5
cpe:/a:rxvt:rxvt:2.7.8
cpe:/a:rxvt:rxvt:2.7.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0022
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0022
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-027
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0093.html
(VENDOR_ADVISORY)  VULNWATCH  20030224 Terminal Emulator Security Issues
http://marc.info/?l=bugtraq&m=104612710031920&w=2
(UNKNOWN)  BUGTRAQ  20030224 Terminal Emulator Security Issues
http://www.iss.net/security_center/static/11413.php
(VENDOR_ADVISORY)  XF  terminal-emulator-screen-dump(11413)
http://www.mandrakesoft.com/security/advisories?name=MDKSA-2003:034
(UNKNOWN)  MANDRAKE  MDKSA-2003:034
http://www.redhat.com/support/errata/RHSA-2003-054.html
(UNKNOWN)  REDHAT  RHSA-2003:054
http://www.redhat.com/support/errata/RHSA-2003-055.html
(UNKNOWN)  REDHAT  RHSA-2003:055
http://www.securityfocus.com/bid/6938
(UNKNOWN)  BID  6938

- 漏洞信息

RXVT/Eterm Screen Dump转义序列本地文件破坏漏洞
中危 设计错误
2003-03-03 00:00:00 2005-10-12 00:00:00
远程  
        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        rxvt,Eterm的screen dump功能实现没有正确处理转义序列,本地攻击者可以利用这个漏洞破坏本地系统文件,或建立文件。
        rxvt,Eterm的实现包含"screen dump"功能,可使用转义序列打开任意文件并写入当前终端窗口中的内容,攻击者可使用恶意转移序列符来控制生成的文件,虽然rxvt如果文件已经存在会忽略dump请求,但是Eterm会删除文件并建立相关内容的文件,通过精心构建窗口内容可以建立敏感文件如.rhosts或者SSH的授权密钥文件等。可对系统造成拒绝服务或权限提升。
        

- 公告与补丁

        厂商补丁:
        rxvt
        ----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.rxvt.org/

- 漏洞信息

12656
Multi-Vendor Terminal Emulator Screen Dump File Overwrite

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-02-24 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

RXVT Screen Dump Escape Sequence Local File Corruption Vulnerability
Design Error 6938
Yes No
2003-02-24 12:00:00 2009-07-11 08:06:00
Discovery of these issues is credited to H D Moore and Digital Defense.

- 受影响的程序版本

rxvt rxvt 2.7.8
rxvt rxvt 2.7.7
rxvt rxvt 2.7.6
rxvt rxvt 2.7.5
rxvt rxvt 2.6.4
rxvt rxvt 2.6.3
rxvt rxvt 2.6.2
- Debian Linux 2.2 sparc
- Debian Linux 2.2 powerpc
- Debian Linux 2.2 arm
- Debian Linux 2.2 alpha
- Debian Linux 2.2 68k
- Debian Linux 2.2
rxvt rxvt 2.6.1
- Immunix Immunix OS 7.0 beta
- Immunix Immunix OS 7.0
- Immunix Immunix OS 6.2
rxvt rxvt 2.7.10

- 不受影响的程序版本

rxvt rxvt 2.7.10

- 漏洞讨论

rxvt's screen dump feature may be abused to corrupt local files which are writeable by the terminal user. This may result in remote compromise or local privilege escalation.

It is possible to exploit this issue if an attacker can cause malicious escape sequences to be displayed in a terminal window of a vulnerable terminal emulator.

- 漏洞利用

There is no exploit code required.

- 解决方案

Gentoo Linux has released an advisory. Users who have installed x11-terms/rxvt are advised to upgrade to rxvt-2.7.8-r6 by issuing the following commands:

emerge sync
emerge rxvt
emerge clean

Mandrake has released a security advisory (MDKSA-2003:034) which contains fixes for this issue. Users are advised to upgrade as soon as possible.

Fixes available:


rxvt rxvt 2.6.1

rxvt rxvt 2.6.2

rxvt rxvt 2.6.3

rxvt rxvt 2.6.4

rxvt rxvt 2.7.5

rxvt rxvt 2.7.6

rxvt rxvt 2.7.7

rxvt rxvt 2.7.8

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站